package watch_graph //nolint:staticcheck

import (
	gatewayapiv1 "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/kubernetes_api/agentk/watch_graph/vendored/sigs.k8s.io/gateway-api/apis/v1"
)

func (vx *wgObject2vertex) collectGatewayHTTPRouteFilterV1Arcs(f *gatewayapiv1.HTTPRouteFilter, arcType ArcType) {
	if f.RequestMirror != nil {
		vx.collectGatewayBackendObjRefV1Arcs(&f.RequestMirror.BackendRef, arcType)
	}
	if f.ExtensionRef != nil {
		vx.collectGatewayLocalObjectRefV1Arcs(f.ExtensionRef, arcType)
	}
}
